Jump to content

giessle

Level 1
  • Content Count

    1
  • Joined

  • Last visited

Community Reputation

1 Neutral

About giessle

  1. Hi, I'm a bit disappointed, that the firefox esr versions (firefox long-term-support versions, actual version: 45.9.0) are not supported by Web Clipper.
×
×
  • Create New...